## kactivities-stats 5.103.0

=== CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "5.103.0") # handled by release scripts
set(KF_DEP_VERSION "5.103.0") # handled by release scripts
project (KActivitiesStats VERSION ${KF_VERSION})

set (REQUIRED_QT_VERSION 5.15.2)

# We don't build in-source
if ("${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}")
   message (
      FATAL_ERROR
      "kactivities-stats require an out of source build. Please create a separate build directory and run 'cmake path_to_kactivities-stats [options]' there."
   )
endif ()

set (KASTATS_CURRENT_ROOT_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

# Extra CMake stuff
include (FeatureSummary)
find_package (ECM 5.103.0  NO_MODULE)
set_package_properties (ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary (WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include (KDEInstallDirs)
include (KDECMakeSettings)
include(KDEGitCommitHooks)
include (KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include (GenerateExportHeader)
include (ECMGenerateHeaders)
include (ECMGeneratePkgConfigFile)
include (ECMAddQch)
include (ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

# Qt
set (CMAKE_AUTOMOC ON)
find_package (Qt${QT_MAJOR_VERSION} ${REQUIRED_QT_VERSION} CONFIG REQUIRED COMPONENTS Core DBus Sql)

# KDE Frameworks
# find_package (KF5DBusAddons ${KF_DEP_VERSION} CONFIG REQUIRED)
# find_package (KF5I18n ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5Config ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package (KF5Activities ${KF_DEP_VERSION} CONFIG REQUIRED)
find_package(Threads REQUIRED)

# Basic includes
include (CPack)

include (CMakePackageConfigHelpers)
include (ECMSetupVersion)


# Adding local CMake modules
set (
   CMAKE_MODULE_PATH
   ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
   ${CMAKE_MODULE_PATH}
   )

# add_definitions (-DTRANSLATION_DOMAIN=\"kactivitiesstats5\")
# ki18n_install (po)

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
   set(CMAKE_CXX_VISIBILITY_PRESET default)
   set(CMAKE_VISIBILITY_INLINES_HIDDEN 0)
endif ()

# libKActivitiesStats

ecm_setup_version (
   PROJECT
   VARIABLE_PREFIX KACTIVITIESSTATS
   VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kactivitiesstats_version.h"
   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesStatsConfigVersion.cmake"
   SOVERSION 1
   )
ecm_set_disabled_deprecation_versions(
    QT 5.15.2
    KF 5.95.0
)


add_subdirectory (src)
if(BUILD_TESTING)
  set(Boost_NO_BOOST_CMAKE ON)
  find_package (Boost 1.49)
  if (Boost_FOUND)
    add_subdirectory (autotests)
  endif ()
  add_subdirectory (tests)
endif (BUILD_TESTING)

set (CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5ActivitiesStats")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5ActivitiesStats_QCH
        FILE KF5ActivitiesStatsLibraryQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ActivitiesStatsLibraryQchTargets.cmake\")")
endif()

install (
   EXPORT KF5ActivitiesStatsLibraryTargets
   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
   FILE KF5ActivitiesStatsLibraryTargets.cmake
   NAMESPACE KF5::
   )

configure_package_config_file (
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5ActivitiesStatsConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesStatsConfig.cmake"
   INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
   )

install (
   FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesStatsConfig.cmake"
         "${CMAKE_CURRENT_BINARY_DIR}/KF5ActivitiesStatsConfigVersion.cmake"
   DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
   COMPONENT Devel
   )

install (
   FILES ${CMAKE_CURRENT_BINARY_DIR}/kactivitiesstats_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KActivitiesStats COMPONENT Devel
   )

# Write out the features
feature_summary (WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== debian/changelog ===
kactivities-stats (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:28 +0100

kactivities-stats (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:06 +0100

=== debian/control ===
Source: kactivities-stats
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               doxygen,
               extra-cmake-modules (>= 5.103.0~),
               libboost-dev (>= 1.49~),
               libkf5activities-dev (>= 5.103.0~),
               libkf5config-dev (>= 5.103.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kactivities-stats
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats.git
Rules-Requires-Root: no

Package: libkf5activitiesstats-dev
Section: libdevel
Architecture: any
Depends: libkf5activitiesstats1 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5activitiesstats-doc (= ${source:Version}),
Description: development files for kactivities-stats.
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for kactivities-stats.

Package: libkf5activitiesstats-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5activitiesstats1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Conflicts: libkf5activitiesstats5,
Replaces: libkf5activitiesstats5,
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 Contains development files for kactivities-stats.

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/kactivities-stats-([\d.]+)\.tar\.xz

## kactivities-stats 5.104.0

=== debian/changelog ===
kactivities-stats (5.104.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.104.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Mar 2023 13:14:27 +0000

kactivities-stats (5.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.103.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 15 Feb 2023 13:41:24 +0000

kactivities-stats (5.102.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.102.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 05 Feb 2023 15:55:15 +0000

kactivities-stats (5.101.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.101.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Dec 2022 13:18:34 +0000

kactivities-stats (5.100.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.100.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Nov 2022 17:13:06 +0000

kactivities-stats (5.99.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (5.99.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Oct 2022 10:57:22 +0000

=== debian/control ===
Source: kactivities-stats
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.104.0~),
               libboost-dev (>= 1.49~),
               libkf5activities-dev (>= 5.104.0~),
               libkf5config-dev (>= 5.104.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kactivities-stats
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
Rules-Requires-Root: no

Package: libkf5activitiesstats-dev
Section: libdevel
Architecture: any
Depends: libkf5activitiesstats1 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5activitiesstats-doc (= ${source:Version})
Description: development files for kactivities-stats.
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for kactivities-stats.

Package: libkf5activitiesstats-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5activitiesstats1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libkf5activitiesstats5
Replaces: libkf5activitiesstats5
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 Contains development files for kactivities-stats.

## kactivities-stats 5.105.0

=== debian/changelog ===
kactivities-stats (5.105.0-0xneon+22.04+jammy+release+build16) jammy; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 16:02:13 +0000

kactivities-stats (5.105.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 Apr 2023 12:16:18 +0000

kactivities-stats (5.104.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 13 Mar 2023 13:24:38 +0000

kactivities-stats (5.103.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Feb 2023 11:43:19 +0000

kactivities-stats (5.102.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Jan 2023 11:47:39 +0000

kactivities-stats (5.101.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Dec 2022 11:55:01 +0000

kactivities-stats (5.100.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Nov 2022 16:10:41 +0000

kactivities-stats (5.99.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 Oct 2022 12:14:51 +0000

kactivities-stats (5.98.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Sep 2022 11:49:37 +0000

kactivities-stats (5.97.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Aug 2022 13:20:47 +0000

kactivities-stats (5.95.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Apr 2022 11:58:49 +0000

kactivities-stats (5.92.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 15 Mar 2022 13:15:39 +0000

kactivities-stats (5.91.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Feb 2022 11:20:00 +0000

kactivities-stats (5.89.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Dec 2021 10:24:29 +0000

kactivities-stats (5.88.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 15 Nov 2021 21:54:22 +0000

kactivities-stats (5.87.0-0neon) focal; urgency=medium

  [ Jonathan Riddell ]
  * new release

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Oct 2021 23:58:05 +0000

kactivities-stats (5.85.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Aug 2021 10:07:42 +0000

kactivities-stats (5.84.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 12:16:39 +0000

kactivities-stats (5.83.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 21:23:04 +0000

kactivities-stats (5.82.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 11 May 2021 10:14:40 +0000

kactivities-stats (5.81.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Apr 2021 18:07:18 +0000

kactivities-stats (5.80.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 14 Mar 2021 14:08:29 +0000

kactivities-stats (5.79.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Feb 2021 13:51:26 +0000

kactivities-stats (5.78.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 09 Jan 2021 12:09:13 +0000

kactivities-stats (5.77.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 12 Dec 2020 14:00:51 +0000

kactivities-stats (5.76.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 19 Nov 2020 11:29:20 +0000

kactivities-stats (5.75.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 09 Oct 2020 13:37:21 +0000

kactivities-stats (5.74.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 10 Sep 2020 13:21:48 +0000

kactivities-stats (5.73.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 17 Aug 2020 19:10:31 +0000

kactivities-stats (5.72.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Jul 2020 15:08:31 +0000

kactivities-stats (5.71.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 Jun 2020 18:47:12 +0000

kactivities-stats (5.70.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 May 2020 15:38:41 +0000

kactivities-stats (5.69.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 11 Apr 2020 18:16:44 +0000

kactivities-stats (5.68.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Mar 2020 13:16:50 +0000

kactivities-stats (5.67.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2020 21:02:29 +0000

kactivities-stats (5.66.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Jan 2020 13:20:29 +0000

kactivities-stats (5.65.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Dec 2019 17:35:27 +0000

kactivities-stats (5.64.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Nov 2019 13:56:50 +0000

kactivities-stats (5.63.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Oct 2019 21:15:08 +0000

kactivities-stats (5.62.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 16 Sep 2019 11:11:56 +0000

kactivities-stats (5.61.90-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Aug 2019 18:49:38 +0000

kactivities-stats (5.60.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 13 Jul 2019 15:40:07 +0000

kactivities-stats (5.59.0-0neon) bionic; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Jun 2019 18:05:47 +0000

kactivities-stats (5.58.0-0neon) bionic; urgency=medium

  * New release



=== debian/control ===
Source: kactivities-stats
Section: libs
Priority: optional
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen,
               extra-cmake-modules (>= 5.51.0~),
               graphviz,
               libboost-dev (>= 1.49~),
               libkf5activities-dev (>= 5.51.0~),
               libkf5config-dev (>= 5.51.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools,
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev,
               qttools5-dev-tools
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kactivities-stats
Vcs-Git: https://invent.kde.org/neon/kde/kactivities-stats.git
Vcs-Browser: https://invent.kde.org/neon/kde/kactivities-stats
Maintainer: Neon CI <neon@kde.org>

Package: libkf5activitiesstats-dev
Section: libdevel
Architecture: any
Depends: libkf5activitiesstats1 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends}
Recommends: libkf5activitiesstats-doc (= ${source:Version})
Breaks: libkf5activitiesstats-doc (<< 5.61.90-0)
Replaces: libkf5activitiesstats-doc (<< 5.61.90-0)
Description: development files for kactivities-stats.
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for kactivities-stats.

Package: libkf5activitiesstats-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5activitiesstats1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libkf5activitiesstats5
Replaces: libkf5activitiesstats5
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 Contains development files for kactivities-stats.

## kactivities-stats 5.107.0

=== debian/changelog ===
kactivities-stats (5.107.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.105.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.107.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Jun 2023 16:08:38 +0200

kactivities-stats (5.104.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.104.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 15 Mar 2023 16:09:56 +0100

=== debian/control ===
Source: kactivities-stats
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               doxygen,
               extra-cmake-modules (>= 5.107.0~),
               libboost-dev (>= 1.49~),
               libkf5activities-dev (>= 5.107.0~),
               libkf5config-dev (>= 5.107.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kactivities-stats
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats.git
Rules-Requires-Root: no

Package: libkf5activitiesstats-dev
Section: libdevel
Architecture: any
Depends: libkf5activitiesstats1 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5activitiesstats-doc (= ${source:Version}),
Description: development files for kactivities-stats.
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for kactivities-stats.

Package: libkf5activitiesstats-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5activitiesstats1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Conflicts: libkf5activitiesstats5,
Replaces: libkf5activitiesstats5,
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 Contains development files for kactivities-stats.

## kactivities-stats 5.109.0

=== debian/changelog ===
kactivities-stats (5.109.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.109.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 18 Aug 2023 05:47:03 +0100

kactivities-stats (5.108.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.108.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Jul 2023 12:17:32 +0100

kactivities-stats (5.107.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.107.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 10 Jun 2023 21:03:35 +0100

kactivities-stats (5.106.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.106.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 May 2023 16:43:02 +0100

=== debian/control ===
Source: kactivities-stats
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Norbert Preining <norbert@preining.info>
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.109.0~),
               libboost-dev (>= 1.49~),
               libkf5activities-dev (>= 5.109.0~),
               libkf5config-dev (>= 5.109.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.0
Homepage: https://invent.kde.org/frameworks/kactivities-stats
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kactivities-stats
Rules-Requires-Root: no

Package: libkf5activitiesstats-dev
Section: libdevel
Architecture: any
Depends: libkf5activitiesstats1 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5activitiesstats-doc (= ${source:Version})
Description: development files for kactivities-stats.
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for kactivities-stats.

Package: libkf5activitiesstats-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5activitiesstats1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: libkf5activitiesstats5
Replaces: libkf5activitiesstats5
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 Contains development files for kactivities-stats.

## kactivities-stats 5.110.0

=== debian/changelog ===
kactivities-stats (5.110.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (5.110.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 10 Sep 2023 00:04:23 +0100

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.109.0~),
+               extra-cmake-modules (>= 5.110.0~),
                libboost-dev (>= 1.49~),
-               libkf5activities-dev (>= 5.109.0~),
-               libkf5config-dev (>= 5.109.0~),
+               libkf5activities-dev (>= 5.110.0~),
+               libkf5config-dev (>= 5.110.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),

## kactivities-stats 5.113.0

=== debian/changelog ===
kactivities-stats (5.113.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.113.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 15 Dec 2023 13:41:12 +0000

kactivities-stats (5.112.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.112.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Nov 2023 14:46:00 +0000

kactivities-stats (5.111.0-0ubuntu1) noble; urgency=medium

  * New upstream release (5.111.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Nov 2023 23:55:40 +0000

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.110.0~),
+               extra-cmake-modules (>= 5.113.0~),
                libboost-dev (>= 1.49~),
-               libkf5activities-dev (>= 5.110.0~),
-               libkf5config-dev (>= 5.110.0~),
+               libkf5activities-dev (>= 5.113.0~),
+               libkf5config-dev (>= 5.113.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),

## kactivities-stats 5.115.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.103.0") # handled by release scripts
-set(KF_DEP_VERSION "5.103.0") # handled by release scripts
+set(KF_VERSION "5.115.0") # handled by release scripts
+set(KF_DEP_VERSION "5.115.0") # handled by release scripts
 project (KActivitiesStats VERSION ${KF_VERSION})
 
 set (REQUIRED_QT_VERSION 5.15.2)
@@ -20,7 +20,7 @@
 
 # Extra CMake stuff
 include (FeatureSummary)
-find_package (ECM 5.103.0  NO_MODULE)
+find_package (ECM 5.115.0  NO_MODULE)
 set_package_properties (ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary (WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kactivities-stats (5.115.0-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 May 2024 00:14:24 +0200

kactivities-stats (5.115.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (5.115.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Enable LTO (Closes: #1015435).

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Mar 2024 00:02:13 +0100

=== debian/control ===
Source: kactivities-stats
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               doxygen,
               extra-cmake-modules (>= 5.115.0~),
               libboost-dev (>= 1.49~),
               libkf5activities-dev (>= 5.115.0~),
               libkf5config-dev (>= 5.115.0~),
               libqt5sql5-sqlite,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev,
               qttools5-dev,
               qttools5-dev-tools,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/frameworks/kactivities-stats
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats.git
Rules-Requires-Root: no

Package: libkf5activitiesstats-dev
Section: libdevel
Architecture: any
Depends: libkf5activitiesstats1 (= ${binary:Version}),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Recommends: libkf5activitiesstats-doc (= ${source:Version}),
Description: development files for kactivities-stats.
 A library for accessing the usage data collected by the activities system.
 .
 Contains development files for kactivities-stats.

Package: libkf5activitiesstats-doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 This package contains the qch documentation files.
Section: doc

Package: libkf5activitiesstats1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Conflicts: libkf5activitiesstats5,
Replaces: libkf5activitiesstats5,
Description: usage data collected by the activities system
 A library for accessing the usage data collected by the activities
 system.
 .
 Contains development files for kactivities-stats.

## kactivities-stats 5.116.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.115.0") # handled by release scripts
-set(KF_DEP_VERSION "5.115.0") # handled by release scripts
+set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project (KActivitiesStats VERSION ${KF_VERSION})
 
 set (REQUIRED_QT_VERSION 5.15.2)
@@ -20,7 +20,7 @@
 
 # Extra CMake stuff
 include (FeatureSummary)
-find_package (ECM 5.115.0  NO_MODULE)
+find_package (ECM 5.116.0  NO_MODULE)
 set_package_properties (ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary (WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:
project (KActivitiesStatsAutotests)

find_package (Qt${QT_MAJOR_VERSION} REQUIRED NO_MODULE COMPONENTS Test Core DBus Sql)

include_directories (
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/autotests
   ${CMAKE_BINARY_DIR}/src
   )

set (
   KActivitiesStatsTest_SRCS
   main.cpp
   QueryTest.cpp
   ResultSetTest.cpp
   ResultSetQuickCheckTest.cpp
   ResultWatcherTest.cpp

   # Generated by macro ecm_qt_declare_logging_category in src/CMakeLists.txt
   ${CMAKE_BINARY_DIR}/src/kactivities-stats-logsettings.cpp

   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src/utils/qsqlquery_iterator.cpp
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src/common/database/Database.cpp
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src/common/database/schema/ResourcesDatabaseSchema.cpp
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/autotests/common/test.cpp
   )

if (NOT WIN32)

   add_executable (
      KActivitiesStatsTest
      ${KActivitiesStatsTest_SRCS}
      )

   target_link_libraries (
      KActivitiesStatsTest
      Boost::boost

      Qt${QT_MAJOR_VERSION}::Core
      Qt${QT_MAJOR_VERSION}::Test
      Qt${QT_MAJOR_VERSION}::DBus
      Qt${QT_MAJOR_VERSION}::Sql

      KF5::Activities
      KF5::ActivitiesStats
      )

endif ()

=== src/CMakeLists.txt ===
# vim:set softtabstop=3 shiftwidth=3 tabstop=3 expandtab:

set (
   KActivitiesStats_LIB_SRCS

   query.cpp
   terms.cpp
   resultset.cpp
   resultwatcher.cpp
   resultmodel.cpp
   activitiessync_p.cpp
   cleaning.cpp

   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src/common/database/Database.cpp
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src/common/database/schema/ResourcesDatabaseSchema.cpp
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src/utils/qsqlquery_iterator.cpp
   )

ecm_qt_declare_logging_category(KActivitiesStats_LIB_SRCS
    HEADER kactivities-stats-logsettings.h
    IDENTIFIER KACTIVITIES_STATS_LOG
    CATEGORY_NAME kf.activitiesstats
    OLD_CATEGORY_NAMES kf5.kactivity.stat
    DESCRIPTION "KActivities Stats"
    EXPORT KACTIVITIES_STATS
)


qt_add_dbus_interface (
   KActivitiesStats_LIB_SRCS

   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.ResourcesScoring.xml
   resourcesscoring_interface
   )

qt_add_dbus_interface (
   KActivitiesStats_LIB_SRCS

   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src/common/dbus/org.kde.ActivityManager.ResourcesLinking.xml
   resourceslinking_interface
   )


add_library (
   KF5ActivitiesStats SHARED
   ${KActivitiesStats_LIB_SRCS}
   )
add_library(KF5::ActivitiesStats ALIAS KF5ActivitiesStats)

include_directories (
   ${KASTATS_CURRENT_ROOT_SOURCE_DIR}/src
   )

set_target_properties (
   KF5ActivitiesStats
   PROPERTIES
   VERSION ${KACTIVITIESSTATS_VERSION}
   SOVERSION ${KACTIVITIESSTATS_SOVERSION}
   EXPORT_NAME ActivitiesStats
   )

target_link_libraries (
   KF5ActivitiesStats
   PUBLIC
      Qt${QT_MAJOR_VERSION}::Core
   PRIVATE
      Qt${QT_MAJOR_VERSION}::DBus
      Qt${QT_MAJOR_VERSION}::Sql
      KF5::Activities
      KF5::ConfigCore
      Threads::Threads
   )

target_include_directories (
   KF5ActivitiesStats
   INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF}/KActivitiesStats>"
   )

# install
generate_export_header (KF5ActivitiesStats BASE_NAME KActivitiesStats)

ecm_generate_headers (
   KActivitiesStats_CamelCase_HEADERS
   HEADER_NAMES
   Query
   Terms
   ResultSet
   ResultWatcher
   ResultModel
   Cleaning

   PREFIX KActivitiesStats
   REQUIRED_HEADERS KActivitiesStats_HEADERS
)

install (
   TARGETS KF5ActivitiesStats
   EXPORT KF5ActivitiesStatsLibraryTargets
   ${SKIP_NAMELINK}
   ${KF_INSTALL_TARGETS_DEFAULT_ARGS}
   )

install (
   FILES ${KActivitiesStats_CamelCase_HEADERS}
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KActivitiesStats/KActivities/Stats
   COMPONENT Devel
   )

install (
   FILES ${KActivitiesStats_HEADERS} ${CMAKE_CURRENT_BINARY_DIR}/kactivitiesstats_export.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KActivitiesStats/kactivitiesstats
   COMPONENT Devel
   )

ecm_qt_install_logging_categories(
    EXPORT KACTIVITIES_STATS
    FILE kactivities-stats.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

if(BUILD_QCH)
    ecm_add_qch(
        KF5ActivitiesStats_QCH
        NAME KActivitiesStats
        BASE_NAME KF5ActivitiesStats
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KActivitiesStats_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
            KF5Activities_QCH # while not in API symbols, some classes are referenced in comments
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KACTIVITIESSTATS_EXPORT
            KACTIVITIESSTATS_DEPRECATED
            KACTIVITIESSTATS_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

if (NOT WIN32)
    ecm_generate_pkgconfig_file(BASE_NAME libKActivitiesStats
      LIB_NAME KF5ActivitiesStats
      INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KActivitiesStats
      DEPS Qt${QT_MAJOR_VERSION}Core
      DESCRIPTION "libKActivitiesStats is a C++ library for using KDE activities"
      INSTALL
    )
endif ()

include (ECMGeneratePriFile)
ecm_generate_pri_file (
   BASE_NAME KActivitiesStats
   LIB_NAME KF5ActivitiesStats
   DEPS "KActivities"
   FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF}/KActivitiesStats
   )
install (
   FILES ${PRI_FILENAME}
   DESTINATION ${ECM_MKSPECS_INSTALL_DIR}
   )

=== debian/changelog ===
kactivities-stats (5.116.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.116.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 13 Apr 2025 00:41:31 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,21 @@
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf5,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 5.115.0~),
+               extra-cmake-modules (>= 5.116.0~),
                libboost-dev (>= 1.49~),
-               libkf5activities-dev (>= 5.115.0~),
-               libkf5config-dev (>= 5.115.0~),
+               libkf5activities-dev (>= 5.116.0~),
+               libkf5config-dev (>= 5.116.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools,
                qtbase5-dev (>= 5.15.2~),
                qtdeclarative5-dev,
                qttools5-dev,
                qttools5-dev-tools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/kactivities-stats
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kactivities-stats.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

## kactivities-stats 5.116.0+p24.04+vstable+git20250617.1319

=== debian/changelog ===
kactivities-stats (5.116.0+p24.04+vstable+git20250617.1319-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 17 Jun 2025 13:19:06 +0000

kactivities-stats (5.116.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 04 Feb 2024 23:58:06 +0000

kactivities-stats (5.115.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 04 Feb 2024 23:58:06 +0000

kactivities-stats (5.114.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 06 Jan 2024 23:58:06 +0000

kactivities-stats (5.113.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 23:58:07 +0000

kactivities-stats (5.112.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 14 Nov 2023 16:41:08 +0000

kactivities-stats (5.111.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 17 Oct 2023 13:17:30 +0000

kactivities-stats (5.110.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2023 02:08:01 +0000

kactivities-stats (5.109.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Aug 2023 13:02:18 +0000

kactivities-stats (5.108.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 11 Jun 2023 07:49:31 +0000

kactivities-stats (5.106.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 12 May 2023 09:42:41 +0000

## kactivities-stats 5.116.0+p24.04+vstable+git20250801.1415

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.116.0") # handled by release scripts
+set(KF_VERSION "5.117.0") # handled by release scripts
 set(KF_DEP_VERSION "5.116.0") # handled by release scripts
 project (KActivitiesStats VERSION ${KF_VERSION})

=== debian/changelog ===
kactivities-stats (5.116.0+p24.04+vstable+git20250801.1415-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 01 Aug 2025 14:15:33 +0000

=== debian/watch ===
version=4

https://download.kde.org/stable/frameworks/([\d.]+)/kactivities-stats-([\d.]+)\.tar\.xz

## kactivities-stats 5.116.0+p24.04+vunstable+git20250824.0612

=== debian/changelog ===
kactivities-stats (5.116.0+p24.04+vunstable+git20250824.0612-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 24 Aug 2025 06:12:16 +0000
